<div *ngIf="subpatterns && pattern">
	<i>Subpatterns :</i>
	<div *ngFor="let sp of subpatterns" class="sub">
		<div *ngIf="!sp.e1">
			<span *ngFor="let ssp of sp.subpatterns">
				<span *ngIf="!ssp.e1">
					<a (click)="sp.show_details=!sp.show_details">
						<i *ngIf="sp.show_details" class="fa fa-angle-double-down" aria-hidden="true"></i>
	    				<i *ngIf="!sp.show_details" class="fa fa-angle-double-right" aria-hidden="true"></i>
					</a>
				</span>
			</span>
			<a (click)="parent.focusOnSp(pattern, sp)"> {{sp.id}}</a>
			(cardinality : {{sp.minOccurences}}..{{sp.maxOccurences}})  
			<i class="fa fa-pencil" aria-hidden="true" data-toggle="tooltip" data-placement="right" title="Show options to edit the subpattern" (click)="sp.show_edit_options = !sp.show_edit_options"></i>
			<div *ngIf="sp.show_edit_options" class="options">
				Edit the subpattern <b>{{sp.id}}</b> :<br>
				<a class="option" (click)="parent.showAddTriple(sp)">
					<i class="fa fa-plus" aria-hidden="true"></i>
					Add a triple
				</a><br>
				<a class="option" (click)="parent.showAddSubpattern(sp)">
					<i class="fa fa-plus" aria-hidden="true"></i>
					Add a subpattern
				</a><br>
				<a class="option" (click)="parent.confirmDelete(sp)">
					<i class="fa fa-times" aria-hidden="true"></i>
					Delete {{sp.id}}
				</a>
			</div>
		</div>
		
        <div *ngIf="sp.show_details && sp.subpatterns" class="sub">
            <subpatterns [pattern]="pattern" [subpatterns]="sp.subpatterns"></subpatterns>
        </div>
	</div>
</div>